summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
authorGravatar Benjamin Barenblat <bbaren@google.com>2022-05-27 17:04:10 -0400
committerGravatar Benjamin Barenblat <bbaren@google.com>2022-05-27 17:04:10 -0400
commit2d23a3e16abfcf8f22ba850d67e972cc77e98874 (patch)
tree20c84476b1477645b82ea6265508e8faedf3daa9 /debian/tests
parent99c09d4332c1c5e2e6233cc2e72ac10e345cfc6d (diff)
Correct pkg-config file generation20210324.2-4
Backport a patch from upstream to make CMake generate pkg-config files correctly. Add an autopkgtest to ensure this doesn’t regress.
Diffstat (limited to 'debian/tests')
-rwxr-xr-xdebian/tests/bug101129424
-rw-r--r--debian/tests/control3
2 files changed, 27 insertions, 0 deletions
diff --git a/debian/tests/bug1011294 b/debian/tests/bug1011294
new file mode 100755
index 00000000..302bcf73
--- /dev/null
+++ b/debian/tests/bug1011294
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2022 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+
+set -eu
+
+readonly TMP="$(mktemp -d)"
+trap "rm -rf \"$TMP\"" EXIT
+cd "$TMP"
+
+echo 'int main() {}' >noop.cc
+
+g++ -o noop noop.cc $(pkg-config --cflags absl_base) $(pkg-config --libs absl_base)
diff --git a/debian/tests/control b/debian/tests/control
index 43dc87cb..161ef695 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -17,3 +17,6 @@ Depends: @, g++, libgtest-dev
Tests: cmake
Depends: @, cmake (>= 3.5), g++, make
+
+Tests: bug1011294
+Depends: @, g++, pkg-config